<?php

use Illuminate\Database\Seeder;
use App\Services\SynonymService;

class SynonymSeeder extends Seeder
{

    private $synonymService;

    public function __construct(SynonymService $synonymService)
    {
        $this->synonymService = $synonymService;
    }

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $synonyms = ['Medicijnen', 'Medicatie', 'Therapie', 'Remedie'];

        foreach ($synonyms as $synonym) {
            
            $data = ['title' => $synonym];
            $this->synonymService->save($data);            
        }
    }
}
